com.corticon.eclipse.studio.vocabulary.core

## Class JavaPackageNode

- java.lang.Object
- - com.corticon.eclipse.studio.vocabulary.core.JavaPackageNode

-     public class JavaPackageNode
      extends java.lang.Object

  JavaPackageNode is a platform-neural tree node used by the Java Metadata Import "dialog smarts" API to represent a Java package. The dialog presents these nodes to the user, allowing the user to choose the Java packages whose metadata is to be imported into the Vocabulary.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaPackageNode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<JavaPackageNode>` | `getChildren()` Getter for children of this node.
    `java.util.List<java.lang.String>` | `getClassNames()` Getter for list of class names in this node.
    `java.lang.String` | `getName()` Getter for node name.
    `JavaPackageNode` | `getParent()` Getter for parent of this node.
    `void` | `setChildren(java.util.List<JavaPackageNode> aListJavaPackageNodeChildren)` Setter for list of children of this node.
    `void` | `setClassNames(java.util.List<java.lang.String> aListClassNames)` Setter for list of class names in this package node.
    `void` | `setName(java.lang.String astrName)` Setter for node name.
    `void` | `setParent(JavaPackageNode aJavaPackageNodeParent)` Setter for parent of this node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaPackageNode

          public JavaPackageNode()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Getter for node name.
      Returns:
        Name of package node (e.g, "com").

    - #### getChildren

          public java.util.List<JavaPackageNode> getChildren()

      Getter for children of this node.
      Returns:
        List of child nodes.

    - #### getClassNames

          public java.util.List<java.lang.String> getClassNames()

      Getter for list of class names in this node.
      Returns:
        List of class names in this node.

    - #### getParent

          public JavaPackageNode getParent()

      Getter for parent of this node.
      Returns:
        Parent instance of JavaPackageNode or `null`.

    - #### setName

          public void setName(java.lang.String astrName)

      Setter for node name.
      Parameters:
        `astrName` - Name of package node (e.g, "com").

    - #### setChildren

          public void setChildren(java.util.List<JavaPackageNode> aListJavaPackageNodeChildren)

      Setter for list of children of this node.
      Parameters:
        `aListJavaPackageNodeChildren` - List of child nodes.

    - #### setClassNames

          public void setClassNames(java.util.List<java.lang.String> aListClassNames)

      Setter for list of class names in this package node.
      Parameters:
        `aListClassNames` - List of class names.

    - #### setParent

          public void setParent(JavaPackageNode aJavaPackageNodeParent)

      Setter for parent of this node.
      Parameters:
        `aJavaPackageNodeParent` - Reference to parent node.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.